﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="12.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{AB42B4BF-458F-4F4E-B237-BFF95E99DBE1}</ProjectGuid>
    <RootNamespace>AxoNN</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v120</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v120</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>$(SolutionDir)bin\$(Configuration)\</OutDir>
    <IntDir>bin\$(Configuration)\tmp</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>$(SolutionDir)bin\$(Configuration)\</OutDir>
    <IntDir>bin\$(Configuration)\tmp</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>$(SolutionDir)include;$(SolutionDir)include/Math;$(SolutionDir)include/Network;$(SolutionDir)include/Neuron;$(SolutionDir)include/Utils;$(SolutionDir)include/Neuron/Interface;$(SolutionDir)include/Network/NetworkManager</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <OutputFile>$(OutDir)\$(ProjectName).exe</OutputFile>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>$(SolutionDir)include;$(SolutionDir)include/Math;$(SolutionDir)include/Network;$(SolutionDir)include/Neuron;$(SolutionDir)include/Utils;$(SolutionDir)include/Neuron/Interface;$(SolutionDir)include/Network/NetworkManager</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <OutputFile>$(OutDir)\$(ProjectName).exe</OutputFile>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="src\AxFeedForwardNetwork.cpp" />
    <ClCompile Include="src\AxILNetworkManager.cpp" />
    <ClCompile Include="src\Math\AxMatrix.cpp" />
    <ClCompile Include="src\Neuron\AxNeuron.cpp" />
    <ClCompile Include="src\AxOracle.cpp" />
    <ClCompile Include="src\Neuron\AxSynapse.cpp" />
    <ClCompile Include="src\Main.cpp" />
    <ClCompile Include="src\Utils\AxMeasure.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="include\Math\AxMatrix.h" />
    <ClInclude Include="include\Math\AxVector.h" />
    <ClInclude Include="include\Network\AxFeedForwardNetwork.h" />
    <ClInclude Include="include\Network\NetworkManager\AxILNetworkManager.h" />
    <ClInclude Include="include\Network\NetworkManager\AxMatrixNetworkManager.h" />
    <ClInclude Include="include\Neuron\AxHiddenNeuron.h" />
    <ClInclude Include="include\Neuron\AxInputNeuron.h" />
    <ClInclude Include="include\Network\AxNetwork.h" />
    <ClInclude Include="include\Utils\AxMeasure.h" />
    <ClInclude Include="include\Utils\AxOracle.h" />
    <ClInclude Include="include\Utils\AxSample.h" />
    <ClInclude Include="include\Utils\AxLogger.h" />
    <ClInclude Include="include\Utils\AxRandom.h" />
    <ClInclude Include="include\Neuron\AxSynapse.h" />
    <ClInclude Include="include\Utils\AxDefinitions.h" />
    <ClInclude Include="include\Utils\AxExceptions.h" />
    <ClInclude Include="include\Neuron\AxNeuron.h" />
    <ClInclude Include="include\AxoNN.h" />
    <ClInclude Include="include\Neuron\AxOutputNeuron.h" />
    <ClInclude Include="include\Network\NetworkManager\AxNetworkManager.h" />
    <ClInclude Include="include\Utils\AxFunctions.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="README.md" />
  </ItemGroup>
  <ItemGroup>
    <Text Include="ISSUES.txt" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>